%global _hardened_build 1

Summary:          GNU implementation of AWK text processing utility
Name:             gawk
Version:          5.2.2
Release:          1%{?dist}
License:          GPLv3+
URL:              https://www.gnu.org/software/gawk/
Source0:          https://ftp.gnu.org/gnu/gawk/gawk-%{version}.tar.xz

Patch3000:        disable-the-pma-test.patch

BuildRequires:    bison automake make gcc
BuildRequires:    libsigsegv-devel mpfr-devel readline-devel
# Make check
BuildRequires:    glibc-all-langpacks
Requires:         filesystem >= 3
Provides:         /bin/awk
Provides:         /bin/gawk

%description
The awk utility interprets a special-purpose programming language
that makes it possible to handle simple data-reformatting jobs
with just a few lines of code.

Gawk is the GNU implementation of awk. It is upwardly compatible with
Brian Kernighan's version of Unix awk. It is almost completely compliant
with the 2018 POSIX 1003.1 standard for awk.

This manual (gawk) is available in https://www.gnu.org/software/gawk/manual/.


%package devel
Summary:          Header file for development
Requires:         %{name} = %{version}-%{release}

%description devel
Header file for development.

%package all-langpacks
Summary: 	  Additional localisation files for gawk utility

%description all-langpacks
The base package of gawk supports only the english localisation. This subpackage
contains additional localisation files.

%prep
%autosetup -p1

%build
autoreconf -fv
%configure
%make_build

%check
make check

%install
%make_install

rm -f %{buildroot}%{_bindir}/gawk-%{version}*
rm -f %{buildroot}%{_infodir}/dir

ln -sf gawk %{buildroot}%{_bindir}/awk
ln -sf gawk.1.gz %{buildroot}%{_mandir}/man1/awk.1.gz

ln -sf /usr/share/awk   %{buildroot}%{_datadir}/gawk
ln -sf /usr/libexec/awk %{buildroot}%{_libexecdir}/gawk

%find_lang %{name}


%files
%license COPYING
%doc NEWS README AUTHORS ChangeLog POSIX.STD
%doc %{_infodir}/gawk_*
%{_bindir}/*awk
%{_bindir}/gawkbug
%{_libdir}/*awk
%{_datadir}/*awk
%{_libexecdir}/*awk
%{_sysconfdir}/profile.d/gawk.*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_infodir}/*awk*.info*

%files all-langpacks -f %{name}.lang

%files devel
%{_includedir}/*

%changelog
* Thu Jul 27 2023 Shuo Wang <abushwang@tencent.com> - 5.2.2-1
- update to 5.2.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed May 25 2022 rockerzhu <rockerzhu@tencent.com> - 5.1.1-1
- Initial build
